Bug 1082830

Summary: RFE: add config option for how many versions of each package to mash
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: mashAssignee: Dennis Gilmore <dennis>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dennis, rbean
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-20 17:20:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1084583    
Bug Blocks:    
Attachments:
Description Flags
Patch to let the "latest" config option be either an int or a boo none

Description Kevin Fenzi 2014-03-31 22:24:58 UTC
Currently mash pulls the most recently tagged version of every package in the tag it's mashing. 

It would be nice if there was a config option to pull instead the most recent N packages in the tag (defaulting to 1). 

Right now there is an option for "latest". If it's true (default) it only gets the latest package in the tag. If it's false, it gets all packages in the tag. It would be nice to have a middle ground. 

Optionally, perhaps there could be a way to pull in non latest packages into the tag only if they are newer than some time limit. Ie, pull latest always, pull N more only if they were tagged in newer than N days ago.

This option would be handy for users who wish to downgrade to just the most recent previous version.

Comment 1 Ralph Bean 2014-04-04 19:02:53 UTC
Created attachment 882816 [details]
Patch to let the "latest" config option be either an int or a boo

This depends on a similar feature being introduced to koji itself.

Comment 2 Ralph Bean 2015-09-16 15:09:23 UTC
Rebased and re-submitted patch as a pull-request here:

https://pagure.io/mash/pull-request/2

Comment 3 Ralph Bean 2015-10-20 17:20:18 UTC
That pull request was merged today:  https://pagure.io/mash/pull-request/2